'class’ attribute of <pre> tag shouldn't be truncate
2010-12-03 17:38 - ctx nop

Status: Closed Start date: 2010-12-03
Priority: Normal Due date:

Assignee: % Done: 0%
Category: Text formatting Estimated time: 0.00 hour
Target version: 1.0.5

Resolution: Fixed Affected version: 1.0.4
Description

When you edit a message you can use pre tag like this :

<pre class="warning">Some preformated message</pre>
But class attribute is altered by the engine, space in attibute is considered as a break, so you can't use custom CSS classes.

For exemple, if | write

<pre class="classl class2">...</pre>

the resulting page source is

<pre class="classl> ... </pre>

Note the closing quote is also missing which is breaking the page.
class attribute should be kept without any change so that the user can use custom CSS class.

In fact, | encountered this problem when trying to use SyntaxHighlighter (http:/alexgorbatchev.com/SyntaxHighlighter/) which use
this syntax :

<pre class="brush: lng">
</pre>
A workaround is to use the HTML entity for non-breakable space, like this :

<pre class="brush:&nbsp; lng">
;}ére>

But it is really user-unfriendly.

infos :

e ruby -v ruby 1.8.7 (2010-08-16 patchlevel 302) [x86_64-linux]
e rails -v Rails 2.3.5

e mysql --version mysql Ver 14.14 Distrib 5.1.52, for pc-linux-gnu (x86_64) using readline 5.1
¢ Redmine 1.0.2.stable.4390

e svn info

URL: http://redmine.rubyforge.org/svn/tags/1.0.2

o Repository Root: http:/redmine.rubyforge.org/svn

o Repository UUID: e93f8b46-1217-0410-a6f0-8f06a7374b81
o Revision: 4390

Node Kind: directory

Schedule: normal

Last Changed Author: edavis10
http://alexgorbatchev.com/SyntaxHighlighter/
http://redmine.rubyforge.org/svn/tags/1.0.2
http://redmine.rubyforge.org/svn

o Last Changed Rev: 4213
o Last Changed Date: 2010-09-27 00:43:11 +0200 (Mon, 27 Sep 2010)

Forgotten something ?
Please forgive my bad english.

Associated revisions

Revision 4468 - 2010-12-05 11:09 - Jean-Philippe Lang

Fixed: class attribute with spaces on pre tags truncated (#7033).

History

#1 - 2010-12-04 19:12 - Jean-Philippe Lang

- Category set to Text formatting

#2 - 2010-12-05 11:01 - Jean-Philippe Lang
- Status changed from New to Resolved

- Target version setto 1.0.5

- Affected version (unused) set to 1.0.4

- Resolution set to Fixed

- Affected version set to 1.0.4

Fixed in r4468.

#3 - 2010-12-18 18:14 - Jean-Philippe Lang

- Status changed from Resolved to Closed

Merged in 1.0-stable.
